Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: cmislib 0.6.0
    • Fix Version/s: None
    • Component/s: python-cmislib
    • Labels:
      None
    • Flags:
      Important

      Description

      Make the library compatible with Python 3 while remaining compatible with Python 2.7.

       

      The first step in the migration process was the implementation of a continuous integration process based on travis and the refactoring of the tests. (see #10 for the motivations)

       

      In a second step, the code was modified syntactically to be both Python 2 and Python 3 compliant.

       

      The httplib2 library was then replaced by python-request (http://docs.python-requests.org/en/master/). It natively supports Python 2 and Python 3, manages sessions better (perf are improved), has no problem with large files and is very well maintained and documented. This library seems to be a de facto standard.

       

      Finally, the code is now flake8.

       

      These changes constitute a major evolution of the library. Even if all the unit tests allow us to believe that no regression was introduced by this refactoring, these changes must be validated by an intensive use of the library.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              lmi Laurent Mignon
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: